Skip to main content
PUT
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
exam-sessions
/
{id}
Update exam session
curl --request PUT \
  --url https://api.example.com/api/v1/school/sessions/{session_pk}/exam-sessions/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "term": "1",
  "name": "<string>",
  "is_published": true,
  "is_deleted": true,
  "is_active": true
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this exam session.

session_pk
string<uuid>
required

Body

Auto-populate created_by from request.user when available.

term
enum<string>
required
  • 1 - 1
  • 2 - 2
  • 3 - 3
Available options:
1,
2,
3
name
string
required
Required string length: 1 - 255
is_published
boolean
is_deleted
boolean
is_active
boolean

Response

{key}
any